## org.eclipse.datatools.modelbase.sql.statements
Interface SQLStatementDefault

All Superinterfaces:
  SQLObject, SQLStatement

All Known Implementing Classes:
  SQLStatementDefaultImpl

public interface SQLStatementDefault
extends SQLObject, SQLStatement

A representation of the model object 'SQL Statement Default'.

The following features are supported:

- `SQL`

See Also:
  `SQLStatementsPackage.getSQLStatementDefault()`

Method Summary
`java.lang.String` `getSQL()` Returns the value of the 'SQL' attribute.
`void` `setSQL(java.lang.String value)` Sets the value of the '`SQL`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getSQL

    public java.lang.String getSQL()

  Returns the value of the 'SQL' attribute.

  If the meaning of the 'SQL' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getSQL` in interface `SQLStatement`
  Returns:
    the value of the 'SQL' attribute.
  See Also:
    `setSQL(String)`, `SQLStatementsPackage.getSQLStatementDefault_SQL()`

### setSQL

    public void setSQL(java.lang.String value)

  Sets the value of the '`SQL`' attribute.

  Specified by:
    `setSQL` in interface `SQLStatement`
  Parameters:
    `value` - the new value of the 'SQL' attribute.
  See Also:
    `getSQL()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.